## org.apache.poi.hssf.record
Class TickRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.TickRecord

public class TickRecord
extends Record

The Tick record defines how tick marks and label positioning/formatting NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Andrew C. Oliver(acoliver at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`TickRecord()`
`TickRecord(short id, short size, byte[] data)` Constructs a Tick record and sets its fields appropriately.
`TickRecord(short id, short size, byte[] data, int offset)` Constructs a Tick record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`byte` `getBackground()` Get the background field for the Tick record.
`int` `getLabelColorRgb()` Get the label color rgb field for the Tick record.
`byte` `getLabelPosition()` Get the label position field for the Tick record.
`byte` `getMajorTickType()` Get the major tick type field for the Tick record.
`byte` `getMinorTickType()` Get the minor tick type field for the Tick record.
`short` `getOptions()` Get the options field for the Tick record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`short` `getRotation()` rotate text (0=none, 1=normal, 2=90 degrees counterclockwise, 3=90 degrees clockwise)
`short` `getSid()` return the non static version of the id for this record.
`short` `getTickColor()` Get the tick color field for the Tick record.
`short` `getZero1()` Get the zero 1 field for the Tick record.
`short` `getZero2()` Get the zero 2 field for the Tick record.
`short` `getZero3()` Get the zero 3 field for the Tick record.
`boolean` `isAutorotate()` automatically rotate the text
`boolean` `isAutoTextBackground()` use the quote unquote automatic color for text background
`boolean` `isAutoTextColor()` use the quote unquote automatic color for text
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setAutorotate(boolean value)` Sets the autorotate field value.
`void` `setAutoTextBackground(boolean value)` Sets the auto text background field value.
`void` `setAutoTextColor(boolean value)` Sets the auto text color field value.
`void` `setBackground(byte field_4_background)` Set the background field for the Tick record.
`void` `setLabelColorRgb(int field_5_labelColorRgb)` Set the label color rgb field for the Tick record.
`void` `setLabelPosition(byte field_3_labelPosition)` Set the label position field for the Tick record.
`void` `setMajorTickType(byte field_1_majorTickType)` Set the major tick type field for the Tick record.
`void` `setMinorTickType(byte field_2_minorTickType)` Set the minor tick type field for the Tick record.
`void` `setOptions(short field_8_options)` Set the options field for the Tick record.
`void` `setRotation(short value)` Sets the rotation field value.
`void` `setTickColor(short field_9_tickColor)` Set the tick color field for the Tick record.
`void` `setZero1(short field_6_zero1)` Set the zero 1 field for the Tick record.
`void` `setZero2(short field_7_zero2)` Set the zero 2 field for the Tick record.
`void` `setZero3(short field_10_zero3)` Set the zero 3 field for the Tick record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### TickRecord

    public TickRecord()

### TickRecord

    public TickRecord(short id,
                      short size,
                      byte[] data)

  Constructs a Tick record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x101e or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### TickRecord

    public TickRecord(short id,
                      short size,
                      byte[] data,
                      int offset)

  Constructs a Tick record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x101e or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getMajorTickType

    public byte getMajorTickType()

  Get the major tick type field for the Tick record.

### setMajorTickType

    public void setMajorTickType(byte field_1_majorTickType)

  Set the major tick type field for the Tick record.

### getMinorTickType

    public byte getMinorTickType()

  Get the minor tick type field for the Tick record.

### setMinorTickType

    public void setMinorTickType(byte field_2_minorTickType)

  Set the minor tick type field for the Tick record.

### getLabelPosition

    public byte getLabelPosition()

  Get the label position field for the Tick record.

### setLabelPosition

    public void setLabelPosition(byte field_3_labelPosition)

  Set the label position field for the Tick record.

### getBackground

    public byte getBackground()

  Get the background field for the Tick record.

### setBackground

    public void setBackground(byte field_4_background)

  Set the background field for the Tick record.

### getLabelColorRgb

    public int getLabelColorRgb()

  Get the label color rgb field for the Tick record.

### setLabelColorRgb

    public void setLabelColorRgb(int field_5_labelColorRgb)

  Set the label color rgb field for the Tick record.

### getZero1

    public short getZero1()

  Get the zero 1 field for the Tick record.

### setZero1

    public void setZero1(short field_6_zero1)

  Set the zero 1 field for the Tick record.

### getZero2

    public short getZero2()

  Get the zero 2 field for the Tick record.

### setZero2

    public void setZero2(short field_7_zero2)

  Set the zero 2 field for the Tick record.

### getOptions

    public short getOptions()

  Get the options field for the Tick record.

### setOptions

    public void setOptions(short field_8_options)

  Set the options field for the Tick record.

### getTickColor

    public short getTickColor()

  Get the tick color field for the Tick record.

### setTickColor

    public void setTickColor(short field_9_tickColor)

  Set the tick color field for the Tick record.

### getZero3

    public short getZero3()

  Get the zero 3 field for the Tick record.

### setZero3

    public void setZero3(short field_10_zero3)

  Set the zero 3 field for the Tick record.

### setAutoTextColor

    public void setAutoTextColor(boolean value)

  Sets the auto text color field value. use the quote unquote automatic color for text

### isAutoTextColor

    public boolean isAutoTextColor()

  use the quote unquote automatic color for text

  Returns:
    the auto text color field value.

### setAutoTextBackground

    public void setAutoTextBackground(boolean value)

  Sets the auto text background field value. use the quote unquote automatic color for text background

### isAutoTextBackground

    public boolean isAutoTextBackground()

  use the quote unquote automatic color for text background

  Returns:
    the auto text background field value.

### setRotation

    public void setRotation(short value)

  Sets the rotation field value. rotate text (0=none, 1=normal, 2=90 degrees counterclockwise, 3=90 degrees clockwise)

### getRotation

    public short getRotation()

  rotate text (0=none, 1=normal, 2=90 degrees counterclockwise, 3=90 degrees clockwise)

  Returns:
    the rotation field value.

### setAutorotate

    public void setAutorotate(boolean value)

  Sets the autorotate field value. automatically rotate the text

### isAutorotate

    public boolean isAutorotate()

  automatically rotate the text

  Returns:
    the autorotate field value.

Copyright © 2003 Apache Software Foundation.